@echo off
cls
echo.
echo WARS OF THE MEDITERRANEAN V 2.2 
echo.
echo This batchfile generates the correct game files for the Human controlled civ.
echo (please read the ReadMe.RTF under Installation for more informations)
echo.

:main
echo.
echo.
echo 1. New Game setup for single or multiplayers
echo 2. Scenario setup for multiplayers
echo.
echo 3. Scenario setup for game start
echo 4. Scenario setup for 272BC
echo 5. Scenario setup for 88BC
echo.
echo 6. Quit without changes
echo.
echo.
CHOICE /c:123456 Please choose an option

if errorlevel 6 goto done
if errorlevel 5 goto Opt5
if errorlevel 4 goto Opt4
if errorlevel 3 goto Opt3
if errorlevel 2 goto Opt2
if errorlevel 1 goto Opt1

:Opt1
echo.
echo Settings for new game...
copy Events4.pal Events.txt
copy Rules4.pal Rules.txt
copy Units4.gif Units.gif
copy City2.txt City.txt
DELEVENT caesar.HOT
DELEVENT caesar.NET
DELEVENT caesar.SAV
goto done

:Opt2
echo.
echo Settings for the multiplayer scenario...
copy Events5.pal Events.txt
copy Rules5.pal Rules.txt
copy Units5.gif Units.gif
copy City1.txt City.txt
goto done

:Opt3
echo.
echo Settings for scenario start
copy Events1.pal Events.txt
copy Rules1.pal Rules.txt
copy Units1.gif Units.gif
copy City1.txt City.txt
goto done

:Opt4
echo.
echo Settings for 272BC
copy Events2.pal Events.txt
copy Rules2.pal Rules.txt
copy Units2.gif Units.gif
copy City1.txt City.txt
DELEVENT caesar.SAV
goto done

:Opt5
echo.
echo Settings for 88BC
copy Events3.pal Events.txt
copy Rules3.pal Rules.txt
copy Units3.gif Units.gif
copy City1.txt City.txt
DELEVENT caesar.SAV
goto done

:done
echo.
exit
quit